Skip to main content
GET
Clock-in and clock-out segments against a work order, per worker — or, lacking one, per account, named from created_by instead.

Headers

Range
string

Limiting and Pagination

Range-Unit
string
default:items

Limiting and Pagination

Prefer
enum<string>

Preference

Available options:
count=none

Query Parameters

id
string
work_order_id
string
worker_id
string
worker_name
string
started_at
string
ended_at
string
duration_minutes
string
entry_type
string
rate_type
string
notes
string
row_version
string
select
string

Filtering Columns

order
string

Ordering

offset
string

Limiting and Pagination

limit
string

Limiting and Pagination

Response

OK

duration_minutes
integer<integer>
ended_at
string<timestamp with time zone>
entry_type
string<character varying>
Maximum string length: 20
id
string<uuid>

Note: This is a Primary Key.

notes
string<text>
rate_type
string<character varying>
Maximum string length: 30
row_version
integer<bigint>
started_at
string<timestamp with time zone>
work_order_id
string<uuid>

Note: This is a Foreign Key to asset_maintenance_plans.next_work_order_id.

worker_id
string<uuid>

Note: This is a Foreign Key to assignable_workers.id.

worker_name
string<character varying>
Maximum string length: 200